/* Aquí escribiré mis estilos
-------------------------------------------------------------- */
@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wght@0,6..12,200..1000;1,6..12,200..1000&display=swap');
/* estilos.css */
body {
    font-family: 'Nunito Sans', sans-serif;
    line-height: 1.6;
    background-color: #f4f4f4;
    color: #333;
    padding: 0 20px;
}

header {

    height:20vh;
    position:relative

}

header h1 {
    font-size: 2.5em;text-transform: uppercase;
    font-weight: 100;text-align: center;
    letter-spacing: 2px;
    position: absolute;top:50%;left:50%;transform: translate(-50%, -50%);
}
header h2 {
   display:none
}

header figure {
    display: inline-block;
    width: 50px;
    height: 50px;
  
    background-size: cover;
    margin-right: 10px;
    vertical-align: middle;
}

main {
    margin:40px auto;
    width:calc(100% - 18px);
    text-align: center;
    display:flex;flex-wrap: wrap;
   
}
main figure{
    flex:1 0 100%;
    max-width:100%;position:relative;
    background-color: #fff;border-radius: 50%;
}
main figure a{
    display:block;
  
}
main figure a img{
    width:100% ; border-radius:50%
}
main figure figcaption{
    display:block;
position:absolute;bottom:-50px;width:100%
}
footer {

    padding: 10px 0;
    text-align: center;
    position: fixed;
    width: 100%;
    bottom: 0;
}

footer nav ul {
    list-style: none;
  
    margin: 0;
}

footer nav ul li {
    margin: 0 15px;display:inline;
}

footer nav ul li a {
 
    font-size: 1.5em;
    text-decoration: none;
    
}

footer nav ul li a:hover {
    color: #f39c12; /* Color al pasar el mouse */
}

i {
    margin-right: 8px;
}

@media (min-width:500px){
    main figure{
        flex:1 0 50%;
        max-width:50%;
    }
}
@media (min-width:800px){
    main figure{
        flex:1 0 25%;
        max-width:25%;
    }
}

@media (min-width:1100px){
    main figure{
        flex:1 0 15%;
        max-width:15%;
    }
}